WAITFORDOORBELLACK(9)

NAME
WaitForDoorbellAck - Wait for IOC doorbell handshake acknowledge

SYNOPSIS

int WaitForDoorbellAck(MPT_ADAPTER * ioc, int howlong, int sleepFlag);

ARGUMENTS

ioc
    Pointer to MPT_ADAPTER structure

howlong
    How long to wait (in seconds)

sleepFlag
    Specifies whether the process can sleep

DESCRIPTION

This routine waits (up to ~2 seconds max) for IOC doorbell handshake ACKnowledge, indicated by the IOP_DOORBELL_STATUS bit in its IntStatus register being clear.

Returns a negative value on failure, else wait loop count.

COPYRIGHT